<div layout="column">
    <md-input-container style="padding: 0px;margin:20px 0px 0px 0px">
        <label translate="">Id of root category</label>
        <input 
            ng-model="ctrl.rootCategoryId"
            ng-change="ctrl.rootChanged()"
            type="number"
            ng-model-options="{debounce: 200}">
    </md-input-container>
    <md-input-container style="padding: 0px;margin: 0px">
        <label translate="">Id of extra service category</label>
        <input 
            ng-model="ctrl.extraServiceCategoryId"
            ng-change="ctrl.extraServiceChanged()"
            ng-model-options="{debounce: 200}">
    </md-input-container>
    <md-input-container style="padding: 0px;margin: 0px">
        <label translate="">Target of register button</label>
        <input 
            ng-model="ctrl.target"
            ng-change="ctrl.targetChanged()"
            ng-model-options="{debounce: 200}">
    </md-input-container>
    <md-input-container class="md-block" style="padding: 0px;margin: 0px">
        <md-checkbox 
            ng-model="ctrl.showDeliver"
            ng-change="ctrl.showDeliverChanged()">
            <span translate="">Show deliver</span> 
        </md-checkbox>
    </md-input-container>
    <md-input-container ng-show="ctrl.showDeliver" class="md-block" style="padding: 0px;margin: 0px">
        <md-checkbox 
            ng-model="ctrl.deliverRequired"
            ng-change="ctrl.deliverRequiredChanged()">
            <span translate="">Deliver be required</span> 
        </md-checkbox>
    </md-input-container>
    <md-input-container class="md-block" style="padding: 0px;margin: 0px">
        <md-checkbox 
            ng-model="ctrl.showExtraServices"
            ng-change="ctrl.showExtraServicesChanged()">
            <span translate="">Show extra services</span> 
        </md-checkbox>
    </md-input-container>
</div>
